# std::error_condition::clear

From cppreference.com
< cpp‎ | error‎ | error condition

void clear() noexcept; |  | (since C++11)

Clears the state of the error condition. Sets the error code to ​0​ and error category to std::generic_category.

### Parameters

(none)

### Return value

(none)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/error/error_condition/clear&oldid=104972"